MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030746Open CASCADE[OCCT] TOOLS:Jenkins Certification Toolpublic2019-05-27 13:522019-06-05 09:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030746: Jenkins - USE_GLES2 has no effect on Windows builds
Description> USE_GLES2
> Linux only. Enabling / Disabling of USE_GLES2 mode. Default value: OFF
USE_GLES2 available for OCCT testing currently has no effect on Windows builds.
It is desired supporting this option on Windows as well using ANGLE implementation of OpenGL ES:
https://www.opencascade.com/content/3rd-party-components [^]

It might be reasonable also building a newer version of ANGLE (but not critical for testing).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0030745verifiedbugmaster Open CASCADE Visualization, TKOpenGl - fix initialization of GLES3 context 
related to 0028098newkgv Open CASCADE Visualization - errors in tests when using OpenGL ES (ANGLE) 
related to 0030715verifiedbugmaster Community Configuration, CMake - error build with QTANGLE 

-  Notes
(0084814)
git (administrator)
2019-06-04 14:21

Branch CR30746 has been created by apn.

SHA-1: bda39ce7c62331e3e7541a3fc8c43fc8e1df2386


Detailed log of new commits:

Author: apn
Date: Tue Jun 4 14:20:56 2019 +0300

    0030746: Jenkins - USE_GLES2 has no effect on Windows builds
    
    SEARCH_TEMPLATES was modified to find EGL and GLES2 libraries in folder with name started with "angle"
(0084815)
ski (developer)
2019-06-04 14:48

Please proceed.
(0084818)
kgv (developer)
2019-06-04 16:09
edited on: 2019-06-04 16:09

+  if ("${lower_PRODUCT_NAME}" STREQUAL "egl")
+    set (lower_PRODUCT_NAME "angle")
+  endif()

ANGLE is not the only EGL implementation available - there might be others with "EGL" in name. Is it possible looking for both?
Also, some users tried using ANGLE builds packaged with Qt, 0030715 - worth checking if CMake scripts are able to find it here.

(0084819)
git (administrator)
2019-06-04 17:30

Branch CR30746 has been updated by apn.

SHA-1: ac0da21e6d695d77d2e89b1385dd67be9915a952


Detailed log of new commits:

Author: apn
Date: Tue Jun 4 17:29:42 2019 +0300

    //Add possibility to find EGL and GLES2 libraries from different folders (angle-gles, egl-gles, egl, angle, etc)

(0084821)
bugmaster (administrator)
2019-06-04 17:49
edited on: 2019-06-04 17:51

Works moved to issue 30715 because this issue is registered for Jenkins only.
And works on Jenkins will be continue after 30715 was fixed

(0084837)
kgv (developer)
2019-06-05 08:35

Jenkins still ignores USE_GLES for VC14 builds:

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30715-master-KGV/view/OCCT%20compile/job/CR30715-master-KGV-OCCT-Windows-64-VC14-opt-compile/1/parsed_console/ [^]

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30715-master-KGV/view/OCCT%20compile/job/CR30715-master-KGV-OCCT-Debian80-64-opt-compile/1/parsed_console/ [^]
(0084840)
kgv (developer)
2019-06-05 09:25

++ echo 'Error: Folder /dn53/tests_results/IR-2019-05-31-GLES-OCCT/Debian80-64 with reference data does 
not exist. Most probably WORKNAMEREF was not defined'
Error: Folder /dn53/tests_results/IR-2019-05-31-GLES-OCCT/Debian80-64 with reference data does not exist. 
Most probably WORKNAMEREF was not defined

Since we are not generating GLES reference data for IR,
is it possible executing image comparison with normal non-GLES test results instead?

- Issue History
Date Modified Username Field Change
2019-05-27 13:52 kgv New Issue
2019-05-27 13:52 kgv Assigned To => bugmaster
2019-05-27 13:53 kgv Relationship added related to 0030745
2019-05-27 13:54 kgv Relationship added related to 0028098
2019-06-04 14:21 git Note Added: 0084814
2019-06-04 14:23 apn Test case number => Not needed
2019-06-04 14:23 apn Assigned To bugmaster => ski
2019-06-04 14:23 apn Status new => resolved
2019-06-04 14:23 apn Target Version => 7.4.0*
2019-06-04 14:48 ski Note Added: 0084815
2019-06-04 14:48 ski Assigned To ski => bugmaster
2019-06-04 14:48 ski Status resolved => reviewed
2019-06-04 16:09 kgv Note Added: 0084818
2019-06-04 16:09 kgv Note Edited: 0084818 View Revisions
2019-06-04 16:09 kgv Relationship added related to 0030715
2019-06-04 17:30 git Note Added: 0084819
2019-06-04 17:49 bugmaster Note Added: 0084821
2019-06-04 17:50 bugmaster Note Edited: 0084821 View Revisions
2019-06-04 17:51 bugmaster Note Edited: 0084821 View Revisions
2019-06-04 17:51 bugmaster Status reviewed => assigned
2019-06-05 08:35 kgv Note Added: 0084837
2019-06-05 09:25 kgv Note Added: 0084840


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker